# RawZLibFilter class

The RawZLibFilter class provides a low-level interface to zlib.

## Constructors

RawZLibFilter.deflateFilter({bool gzip: false, int level: ZLibOption.defaultLevel, int windowBits: ZLibOption.defaultWindowBits, int memLevel: ZLibOption.defaultMemLevel, int strategy: ZLibOption.strategyDefault, List<int> dictionary, bool raw: false })
  Returns a a RawZLibFilter whose process and processed methods compress data.
  factory
RawZLibFilter.inflateFilter({int windowBits: ZLibOption.defaultWindowBits, List<int> dictionary, bool raw: false })
  Returns a a RawZLibFilter whose process and processed methods decompress data.
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

process(List<int> data, int start, int end) → void
  Call to process a chunk of data. A call to process should only be made when processed returns `null`.
processed({bool flush: true, bool end: false }) → List<int>
  Get a chunk of processed data. When there are no more data available, processed will return `null`. Set `flush` to `false` for non-final calls to improve performance of some filters. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited